Page MenuHomePhabricator

Support claimTTL and rootClaimTTL in change-prop
Closed, ResolvedPublic

Description

The Redis-based JobQueue had a feature to abandon jobs that were sitting in the queue for longer the claimTTL time period, we need to have a similar feature ChangeProp. Also, if some enormous time period has passed from the root job being submitted, like a week, I assume it's safe to reject the jobs generated by that root jobs. This will probably be a no-op in the new queue cause the wait periods should not be that high, but it would help clear the backlog carried over from the old queue when switching jobs.

Event Timeline

Pchelolo triaged this task as Normal priority.Mar 9 2018, 3:01 PM
Pchelolo created this task.
Restricted Application added a project: Analytics. · View Herald TranscriptMar 9 2018, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 417946 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Abandon refreshLinks if the root job is more then 1 week long.

https://gerrit.wikimedia.org/r/417946

Change 417946 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Abandon refreshLinks if the root job is more then 1 week long.

https://gerrit.wikimedia.org/r/417946

Mentioned in SAL (#wikimedia-operations) [2018-03-09T15:59:07Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@5795526]: Enable root_claim_ttl for refreshLinks T189303

Mentioned in SAL (#wikimedia-operations) [2018-03-09T15:59:46Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@5795526]: Enable root_claim_ttl for refreshLinks T189303 (duration: 00m 38s)

This was merged and deployed. Resolving.

Pchelolo closed this task as Resolved.Mar 12 2018, 6:43 PM
Pchelolo edited projects, added Services (done); removed Patch-For-Review, Services (doing).
Pchelolo removed subscribers: Stashbot, gerritbot.